import { browser } from '@/helpers/utils'
import { defineComponent } from 'vue'
import IosGuide from './components/ios-guide'
import AndroidGuide from './components/android-guide'

export default defineComponent({
  name: 'guide',
  data() {
    return {
      client: 'ios'
    }
  },
  mounted() {
    // if (browser().android) {
    //   this.client = 'android'
    // } else if (browser().iPhone) {
    //   this.client = 'ios'
    // } else {
    //   this.client = 'web'
    // }
  },
  render() {
    return <>{this.client === 'ios' ? <IosGuide /> : <AndroidGuide />}</>
  }
})
